pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/45228: ambigous dependency in security/p5-Digest-HMAC

>Number:         45228
>Category:       pkg
>Synopsis:       ambigous dependency in security/p5-Digest-HMAC
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Aug 09 14:20:00 +0000 2011
>Originator:     Jörn Clausen
University of Bielefeld
The Makefile in security/p5-Digest-HMAC contains

DEPENDS+=       p5-Digest-SHA>=1.00:../../security/p5-Digest-SHA1

p5-Digest-SHA and p5-Digest-SHA1 (*1* at the end) are two different packages. 
Considering the history of p5-Digest-HMAC, it seems, p5-Digest-SHA1 is the one 
actually required.


Home | Main Index | Thread Index | Old Index